Bug 234248 - rc.conf(5): Description of kld_list doesn't specify format of list
Summary: rc.conf(5): Description of kld_list doesn't specify format of list
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-21 15:08 UTC by David Fiander
Modified: 2019-04-07 18:31 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Fiander 2018-12-21 15:08:58 UTC
The description of the rc.conf variable "kld_list" is "(str) A list of kernel modules to load right after the local disks are mounted.  Loading modules at this point in the boot process is much faster than doing it via /boot/loader.conf for those modules not necessary for mounting local disk."

It doesn't give the format of the list. Is is space separated, comma separated, or something else? (Empirically, a space separated list works.) The descriptions of kldxref_module_path, the jail_* variables, and netwait_ip do describe the format of their respective lists.
Comment 1 Miroslav Lachman 2018-12-23 14:36:28 UTC
Space or comma isn't the only info missing here. There should be some info (example) if it should be just module name, or with "ko" extension or with full path.

A) kld_list="ipmi accf_http"
B) kld_list="ipmi.ko accf_http.ko"
C) kld_list="/boot/kernel/ipmi.ko /boot/kernel/accf_http.ko"
Comment 2 Chris Rees freebsd_committer 2018-12-23 22:35:26 UTC
I'll take it.
Comment 3 commit-hook freebsd_committer 2018-12-24 10:48:51 UTC
A commit references this bug:

Author: crees
Date: Mon Dec 24 10:47:49 UTC 2018
New revision: 342389
URL: https://svnweb.freebsd.org/changeset/base/342389

Log:
  Clarify kld_list format

  PR:		docs/234248
  Submitted by:	David Fiander
  Submitted by:	Miroslav Lachman

Changes:
  head/share/man/man5/rc.conf.5
Comment 4 Chris Rees freebsd_committer 2018-12-24 10:50:21 UTC
Fixed, thanks!
Comment 5 commit-hook freebsd_committer 2019-04-07 18:31:50 UTC
A commit references this bug:

Author: crees
Date: Sun Apr  7 18:31:47 UTC 2019
New revision: 346017
URL: https://svnweb.freebsd.org/changeset/base/346017

Log:
  Remove now unnecessary kldstat check before attempting to load modules.

  Since r233109, kldload has the -n option, which silently ignores options
  that are already loaded.

  https://lists.freebsd.org/pipermail/freebsd-rc/2018-December/003899.html

  Note that this script no longer reports if the module is already loaded,
  but it could be argued this wasn't particularly useful information.

  PR:			docs/234248
  Reviewed by:		bcr (docs), kib, rgrimes (visual)
  Approved by:		jilles
  Differential Revision:	https://reviews.freebsd.org/D18670

Changes:
  head/libexec/rc/rc.d/abi
  head/libexec/rc/rc.d/bthidd
  head/libexec/rc/rc.d/cfumass
  head/libexec/rc/rc.d/kld
  head/libexec/rc/rc.d/mdconfig
  head/libexec/rc/rc.d/mdconfig2
  head/libexec/rc/rc.d/mountcritremote
  head/libexec/rc/rc.d/syscons
  head/libexec/rc/rc.subr
  head/share/man/man5/rc.conf.5